io.vertx.mysqlclient

## Interface MySQLPool

- All Superinterfaces:
    Pool, SqlClient

      public interface MySQLPool
      extends Pool

  A pool of MySQL connections.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MySQLPool` | `pool(MySQLConnectOptions connectOptions, PoolOptions poolOptions)` Create a connection pool to the MySQL server configured with the given `connectOptions` and `poolOptions`.
    `static MySQLPool` | `pool(String connectionUri)` Like `pool(String, PoolOptions)` with a default `poolOptions`.
    `static MySQLPool` | `pool(String connectionUri, PoolOptions poolOptions)` Like `pool(MySQLConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.
    `static MySQLPool` | `pool(Vertx vertx, MySQLConnectOptions connectOptions, PoolOptions poolOptions)` Like `pool(MySQLConnectOptions, PoolOptions)` with a specific `Vertx` instance.
    `static MySQLPool` | `pool(Vertx vertx, String connectionUri)` Like `pool(Vertx, String,PoolOptions)` with a default `poolOptions`..
    `static MySQLPool` | `pool(Vertx vertx, String connectionUri, PoolOptions poolOptions)` Like `pool(Vertx, MySQLConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.
    `<R> MySQLPool` | `preparedBatch(String sql, List<Tuple> batch, java.util.stream.Collector<Row,?,R> collector, Handler<AsyncResult<SqlResult<R>>> handler)` Prepare and execute a createBatch.
    `MySQLPool` | `preparedBatch(String sql, List<Tuple> batch, Handler<AsyncResult<RowSet<Row>>> handler)` Prepare and execute a createBatch.
    `<R> MySQLPool` | `preparedQuery(String sql, java.util.stream.Collector<Row,?,R> collector, Handler<AsyncResult<SqlResult<R>>> handler)` Prepare and execute a query.
    `MySQLPool` | `preparedQuery(String sql, Handler<AsyncResult<RowSet<Row>>> handler)` Prepare and execute a query.
    `<R> MySQLPool` | `preparedQuery(String sql, Tuple arguments, java.util.stream.Collector<Row,?,R> collector, Handler<AsyncResult<SqlResult<R>>> handler)` Prepare and execute a query.
    `MySQLPool` | `preparedQuery(String sql, Tuple arguments, Handler<AsyncResult<RowSet<Row>>> handler)` Prepare and execute a query.
    `<R> MySQLPool` | `query(String sql, java.util.stream.Collector<Row,?,R> collector, Handler<AsyncResult<SqlResult<R>>> handler)` Execute a simple query.
    `MySQLPool` | `query(String sql, Handler<AsyncResult<RowSet<Row>>> handler)` Execute a simple query.

    - ### Methods inherited from interface io.vertx.sqlclient.Pool

      `begin, close, getConnection`

- - ### Method Detail

    - #### pool

          static MySQLPool pool(String connectionUri)

      Like `pool(String, PoolOptions)` with a default `poolOptions`.

    - #### pool

          static MySQLPool pool(String connectionUri,
                                PoolOptions poolOptions)

      Like `pool(MySQLConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.

    - #### pool

          static MySQLPool pool(Vertx vertx,
                                String connectionUri)

      Like `pool(Vertx, String,PoolOptions)` with a default `poolOptions`..

    - #### pool

          static MySQLPool pool(Vertx vertx,
                                String connectionUri,
                                PoolOptions poolOptions)

      Like `pool(Vertx, MySQLConnectOptions, PoolOptions)` with `connectOptions` build from `connectionUri`.

    - #### pool

          static MySQLPool pool(MySQLConnectOptions connectOptions,
                                PoolOptions poolOptions)

      Create a connection pool to the MySQL server configured with the given `connectOptions` and `poolOptions`.
      Parameters:
        `connectOptions` - the options for the connection
        `poolOptions` - the options for creating the pool
      Returns:
        the connection pool

    - #### pool

          static MySQLPool pool(Vertx vertx,
                                MySQLConnectOptions connectOptions,
                                PoolOptions poolOptions)

      Like `pool(MySQLConnectOptions, PoolOptions)` with a specific `Vertx` instance.

    - #### preparedQuery

          MySQLPool preparedQuery(String sql,
                                  Handler<AsyncResult<RowSet<Row>>> handler)

      Description copied from interface: `SqlClient`
      Prepare and execute a query.
      Specified by:
        `preparedQuery` in interface `Pool`
      Specified by:
        `preparedQuery` in interface `SqlClient`
      Parameters:
        `sql` - the prepared query SQL
        `handler` - the handler notified with the execution result
      Returns:
        a reference to this, so the API can be used fluently

    - #### preparedQuery

          <R> MySQLPool preparedQuery(String sql,
                                      java.util.stream.Collector<Row,?,R> collector,
                                      Handler<AsyncResult<SqlResult<R>>> handler)

      Description copied from interface: `SqlClient`
      Prepare and execute a query.
      Specified by:
        `preparedQuery` in interface `Pool`
      Specified by:
        `preparedQuery` in interface `SqlClient`
      Parameters:
        `sql` - the prepared query SQL
        `collector` - the collector
        `handler` - the handler notified with the execution result
      Returns:
        a reference to this, so the API can be used fluently

    - #### query

          MySQLPool query(String sql,
                          Handler<AsyncResult<RowSet<Row>>> handler)

      Description copied from interface: `SqlClient`
      Execute a simple query.
      Specified by:
        `query` in interface `Pool`
      Specified by:
        `query` in interface `SqlClient`
      Parameters:
        `sql` - the query SQL
        `handler` - the handler notified with the execution result
      Returns:
        a reference to this, so the API can be used fluently

    - #### query

          <R> MySQLPool query(String sql,
                              java.util.stream.Collector<Row,?,R> collector,
                              Handler<AsyncResult<SqlResult<R>>> handler)

      Description copied from interface: `SqlClient`
      Execute a simple query.
      Specified by:
        `query` in interface `Pool`
      Specified by:
        `query` in interface `SqlClient`
      Parameters:
        `sql` - the query SQL
        `collector` - the collector
        `handler` - the handler notified with the execution result
      Returns:
        a reference to this, so the API can be used fluently

    - #### preparedQuery

          MySQLPool preparedQuery(String sql,
                                  Tuple arguments,
                                  Handler<AsyncResult<RowSet<Row>>> handler)

      Description copied from interface: `SqlClient`
      Prepare and execute a query.
      Specified by:
        `preparedQuery` in interface `Pool`
      Specified by:
        `preparedQuery` in interface `SqlClient`
      Parameters:
        `sql` - the prepared query SQL
        `arguments` - the list of arguments
        `handler` - the handler notified with the execution result
      Returns:
        a reference to this, so the API can be used fluently

    - #### preparedQuery

          <R> MySQLPool preparedQuery(String sql,
                                      Tuple arguments,
                                      java.util.stream.Collector<Row,?,R> collector,
                                      Handler<AsyncResult<SqlResult<R>>> handler)

      Description copied from interface: `SqlClient`
      Prepare and execute a query.
      Specified by:
        `preparedQuery` in interface `Pool`
      Specified by:
        `preparedQuery` in interface `SqlClient`
      Parameters:
        `sql` - the prepared query SQL
        `arguments` - the list of arguments
        `collector` - the collector
        `handler` - the handler notified with the execution result
      Returns:
        a reference to this, so the API can be used fluently

    - #### preparedBatch

          MySQLPool preparedBatch(String sql,
                                  List<Tuple> batch,
                                  Handler<AsyncResult<RowSet<Row>>> handler)

      Description copied from interface: `SqlClient`
      Prepare and execute a createBatch.
      Specified by:
        `preparedBatch` in interface `Pool`
      Specified by:
        `preparedBatch` in interface `SqlClient`
      Parameters:
        `sql` - the prepared query SQL
        `batch` - the batch of tuples
        `handler` - the handler notified with the execution result
      Returns:
        a reference to this, so the API can be used fluently

    - #### preparedBatch

          <R> MySQLPool preparedBatch(String sql,
                                      List<Tuple> batch,
                                      java.util.stream.Collector<Row,?,R> collector,
                                      Handler<AsyncResult<SqlResult<R>>> handler)

      Description copied from interface: `SqlClient`
      Prepare and execute a createBatch.
      Specified by:
        `preparedBatch` in interface `Pool`
      Specified by:
        `preparedBatch` in interface `SqlClient`
      Parameters:
        `sql` - the prepared query SQL
        `batch` - the batch of tuples
        `collector` - the collector
        `handler` - the handler notified with the execution result
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2019 Eclipse. All rights reserved.